Index: drivers/s390/block/dasd_3990_erp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/s390/block/dasd_3990_erp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/s390/block/dasd_3990_erp.c	22 Jul 2004 19:49:59 -0000	1.1
+++ drivers/s390/block/dasd_3990_erp.c	4 Aug 2004 01:29:28 -0000	1.2
@@ -5,6 +5,8 @@
  * Bugreports.to..: <Linux390@de.ibm.com>
  * (C) IBM Corporation, IBM Deutschland Entwicklung GmbH, 2000, 2001
  *
+ * $Revision: 1.2 $
+ *
  * History of changes:
  * 05/14/01 fixed PL030160GTO (BUG() in erp_action_5)
  */
@@ -41,7 +43,9 @@
         char    *nl, 
                 *end_cqr,
                 *begin, 
-                *end;
+                *end,
+                buffer[80];
+        
         
         /* dump sense data */
         if (device->discipline            && 
@@ -54,83 +58,130 @@
         /* log the channel program */
         while (loop_cqr != NULL) {
                 
-                DASD_MESSAGE (KERN_ERR, device, 
-                              "(%s) ERP chain report for req: %p",
-                              caller == 0 ? "EXAMINE" : "ACTION",
-                              loop_cqr);
+                DEV_MESSAGE (KERN_ERR, device, 
+                             "(%s) ERP chain report for req: %p",
+                             caller == 0 ? "EXAMINE" : "ACTION",
+                             loop_cqr);
                 
                 nl      = (char *) loop_cqr;
                 end_cqr = nl + sizeof (ccw_req_t); 
                 
                 while (nl < end_cqr) {
+
+                        sprintf (buffer,
+                                 "%p: %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x",
+                                 nl,
+                                 nl[0], nl[1], nl[2], nl[3],
+                                 nl[4], nl[5], nl[6], nl[7],
+                                 nl[8], nl[9], nl[10], nl[11],
+                                 nl[12], nl[13], nl[14], nl[15]);
+        
+                        DEV_MESSAGE (KERN_ERR, device, "%s", 
+                                     buffer);
                         
-                        DASD_MESSAGE (KERN_ERR, device, 
-                                      "%p: %02x%02x%02x%02x %02x%02x%02x%02x "
-                                      "%02x%02x%02x%02x %02x%02x%02x%02x",
-                                      nl,
-                                      nl[0], nl[1], nl[2], nl[3],
-                                      nl[4], nl[5], nl[6], nl[7],
-                                      nl[8], nl[9], nl[10], nl[11],
-                                      nl[12], nl[13], nl[14], nl[15]);
                         nl +=16;
                 }        
-                
+               	
+		DEV_MESSAGE (KERN_ERR, device,
+				"DATA area is at: %p",
+				loop_cqr->data);
+
+		nl      = (char *) loop_cqr->data;
+		end_cqr = nl + loop_cqr->datasize;
+
+                while (nl < end_cqr) {
+					 
+                        sprintf (buffer,
+                                 "%p: %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x"
+                                 " %02x%02x%02x%02x",
+                                  nl,
+                                  nl[0], nl[1], nl[2], nl[3],
+                                  nl[4], nl[5], nl[6], nl[7],
+                                  nl[8], nl[9], nl[10], nl[11],
+                                 nl[12], nl[13], nl[14], nl[15]);
+
+                        DEV_MESSAGE (KERN_ERR, device, "%s",
+                                     buffer);
+
+                        nl +=16;
+              }
+	       	
                 nl  = (char *) loop_cqr->cpaddr;
                 
                 if (loop_cqr->cplength > 40) { /* log only parts of the CP */
 
-                        DASD_MESSAGE (KERN_ERR, device, "%s",
+                        DEV_MESSAGE (KERN_ERR, device, "%s",
                                       "Start of channel program:");
                         
                         for (i = 0; i < 20; i += 2) { 
                                 
-                                DASD_MESSAGE (KERN_ERR, device, 
-                                              "%p: %02x%02x%02x%02x %02x%02x%02x%02x "
-                                              "%02x%02x%02x%02x %02x%02x%02x%02x",
-                                              nl,
-                                              nl[0], nl[1], nl[2], nl[3],
-                                              nl[4], nl[5], nl[6], nl[7],
-                                              nl[8], nl[9], nl[10], nl[11],
-                                              nl[12], nl[13], nl[14], nl[15]);
+                                sprintf (buffer,
+                                         "%p: %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x",
+                                         nl,
+                                         nl[0], nl[1], nl[2], nl[3],
+                                         nl[4], nl[5], nl[6], nl[7],
+                                         nl[8], nl[9], nl[10], nl[11],
+                                         nl[12], nl[13], nl[14], nl[15]);
                                 
+                                DEV_MESSAGE (KERN_ERR, device, "%s",
+                                             buffer);
+
                                 nl += 16;
                         }
                         
-                        DASD_MESSAGE (KERN_ERR, device, "%s",
-                                      "End of channel program:");
+                        DEV_MESSAGE (KERN_ERR, device, "%s",
+                                     "End of channel program:");
                         
                         nl  = (char *) loop_cqr->cpaddr;
                         nl  += ((loop_cqr->cplength - 10) * 8);
                         
                         for (i = 0; i < 20; i += 2) { 
                                 
-                                DASD_MESSAGE (KERN_ERR, device, 
-                                              "%p: %02x%02x%02x%02x %02x%02x%02x%02x "
-                                              "%02x%02x%02x%02x %02x%02x%02x%02x",
-                                              nl,
-                                              nl[0], nl[1], nl[2], nl[3],
-                                              nl[4], nl[5], nl[6], nl[7],
-                                              nl[8], nl[9], nl[10], nl[11],
-                                              nl[12], nl[13], nl[14], nl[15]);
+                                sprintf (buffer,
+                                         "%p: %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x",
+                                         nl,
+                                         nl[0], nl[1], nl[2], nl[3],
+                                         nl[4], nl[5], nl[6], nl[7],
+                                         nl[8], nl[9], nl[10], nl[11],
+                                         nl[12], nl[13], nl[14], nl[15]);
+                                
+                                DEV_MESSAGE (KERN_ERR, device, "%s",
+                                             buffer);
                                 
                                 nl += 16;
                         }
                         
                 } else { /* log the whole CP */
                         
-                        DASD_MESSAGE (KERN_ERR, device, "%s",
+                        DEV_MESSAGE (KERN_ERR, device, "%s",
                                       "Channel program (complete):");
                         
                         for (i = 0; i < (loop_cqr->cplength + 4); i += 2) { 
                                 
-                                DASD_MESSAGE (KERN_ERR, device, 
-                                              "%p: %02x%02x%02x%02x %02x%02x%02x%02x "
-                                              "%02x%02x%02x%02x %02x%02x%02x%02x",
-                                              nl,
-                                              nl[0], nl[1], nl[2], nl[3],
-                                              nl[4], nl[5], nl[6], nl[7],
-                                              nl[8], nl[9], nl[10], nl[11],
-                                              nl[12], nl[13], nl[14], nl[15]);
+                                sprintf (buffer,
+                                         "%p: %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x"
+                                         " %02x%02x%02x%02x",
+                                         nl,
+                                         nl[0], nl[1], nl[2], nl[3],
+                                         nl[4], nl[5], nl[6], nl[7],
+                                         nl[8], nl[9], nl[10], nl[11],
+                                         nl[12], nl[13], nl[14], nl[15]);
+                                
+                                DEV_MESSAGE (KERN_ERR, device, "%s",
+                                             buffer);
                                 
                                 nl += 16;
                         }
@@ -150,29 +201,34 @@
                         
                                 nl -= 10*8;     /* start some bytes before */
                                 
-                                DASD_MESSAGE (KERN_ERR, device, 
-                                                "Failed CCW (%p) (area):",
-                                                (void *)(long)cpa);
+                                DEV_MESSAGE (KERN_ERR, device, 
+                                             "Failed CCW (%p) (area):",
+                                             (void *)(long)cpa);
                                 
                                 for (i = 0; i < 20; i += 2) { 
                                         
-                                        DASD_MESSAGE (KERN_ERR, device, 
-                                                      "%p: %02x%02x%02x%02x %02x%02x%02x%02x "
-                                                      "%02x%02x%02x%02x %02x%02x%02x%02x",
-                                                      nl,
-                                                      nl[0], nl[1], nl[2], nl[3],
-                                                      nl[4], nl[5], nl[6], nl[7],
-                                                      nl[8], nl[9], nl[10], nl[11],
-                                                      nl[12], nl[13], nl[14], nl[15]);
+                                        sprintf (buffer,
+                                                 "%p: %02x%02x%02x%02x"
+                                                 " %02x%02x%02x%02x"
+                                                 " %02x%02x%02x%02x"
+                                                 " %02x%02x%02x%02x",
+                                                 nl,
+                                                 nl[0], nl[1], nl[2], nl[3],
+                                                 nl[4], nl[5], nl[6], nl[7],
+                                                 nl[8], nl[9], nl[10], nl[11],
+                                                 nl[12], nl[13], nl[14], nl[15]);
+
+                                        DEV_MESSAGE (KERN_ERR, device, "%s",
+                                                     buffer);
                                         
                                         nl += 16;
                                 }
                                 
                         } else {
                                 
-                                DASD_MESSAGE (KERN_ERR, device, 
-                                              "Failed CCW (%p) already logged",
-                                              (void *)(long)cpa);
+                                DEV_MESSAGE (KERN_ERR, device, 
+                                             "Failed CCW (%p) already logged",
+                                             (void *)(long)cpa);
                         }
                 }
                 
@@ -216,9 +272,9 @@
 	if ((  sense[0] & SNS0_CMD_REJECT       ) &&
 	    (!(sense[2] & SNS2_ENV_DATA_PRESENT))   ) {
 
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "EXAMINE 24: Command Reject detected - "
-                              "fatal error");
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "EXAMINE 24: Command Reject detected - "
+                             "fatal error");
 
                 return dasd_era_fatal;
 	}
@@ -227,9 +283,9 @@
 	if ((  sense[1] & SNS1_INV_TRACK_FORMAT ) &&
             (!(sense[2] & SNS2_ENV_DATA_PRESENT))   ) {
 
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "EXAMINE 24: Invalid Track Format detected "
-                              "- fatal error");
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "EXAMINE 24: Invalid Track Format detected "
+                             "- fatal error");
 
                 return dasd_era_fatal;
 	}
@@ -237,10 +293,10 @@
 	/* check for 'No Record Found' */
 	if (sense[1] & SNS1_NO_REC_FOUND) {
                 
-                DASD_MESSAGE (KERN_ERR, device,
-                              "EXAMINE 24: No Record Found detected %s",
-                              cqr == device->init_cqr ? " " :
-                              "- fatal error");
+                DEV_MESSAGE (KERN_ERR, device,
+                             "EXAMINE 24: No Record Found detected %s",
+                             cqr == device->init_cqr ? " " :
+                             "- fatal error");
 
                 return dasd_era_fatal;
 	}
@@ -274,8 +330,9 @@
 		return dasd_era_none;
 
 	case 0x01:
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "EXAMINE 32: fatal error");
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "EXAMINE 32: fatal error");
+
 		return dasd_era_fatal;
 
 	default:
@@ -390,13 +447,6 @@
  *   Block the given device request queue to prevent from further
  *   processing until the started timer has expired or an related
  *   interrupt was received.
- *
- *  PARAMETER
- *   erp                request to be blocked
- *   expires            time to wait until restart (in seconds) 
- *
- * RETURN VALUES
- *   void               
  */
 void
 dasd_3990_erp_block_queue (ccw_req_t     *erp,
@@ -405,20 +455,26 @@
 
 	dasd_device_t *device = erp->device;
 
-        DASD_MESSAGE (KERN_INFO, device,
-                      "blocking request queue for %is",
-                      (int) expires);
+        DEV_MESSAGE (KERN_INFO, device,
+                     "blocking request queue for %is",
+                     (int) expires);
+
+        device->stopped |= DASD_STOPPED_PENDING;
 
         check_then_set (&erp->status,
                         CQR_STATUS_ERROR,
-                        CQR_STATUS_PENDING);
+                        CQR_STATUS_QUEUED);
 
         /* restart queue after some time */
-        device->timer.function = dasd_3990_erp_restart_queue; 
-        device->timer.data     = (unsigned long) erp;
-        device->timer.expires  = jiffies + (expires * HZ);
-
-        add_timer(&device->timer); 
+        if (!timer_pending(&device->blocking_timer)) {
+                init_timer(&device->blocking_timer);
+                device->blocking_timer.function = dasd_3990_erp_restart_queue; 
+                device->blocking_timer.data     = (unsigned long) device;
+                device->blocking_timer.expires  = jiffies + (expires * HZ);
+                add_timer(&device->blocking_timer); 
+        } else {
+                mod_timer(&device->blocking_timer, jiffies + (expires * HZ));
+        }
 
 } /* end dasd_3990_erp_block_queue */ 
 
@@ -426,24 +482,15 @@
  * DASD_3990_ERP_RESTART_QUEUE 
  *
  * DESCRIPTION
- *   Restarts request currently in status PENDING.
- *   This has to be done if either an related interrupt has received, or 
- *   a timer has expired.
- *   
- *
- *  PARAMETER
- *   erp                pointer to the PENDING ERP
- *
- * RETURN VALUES
- *   void               
- *
+ *   Restarts request queue of current device.
+ *   This has to be done if either an related interrupt was received, or 
+ *   the timer has expired.
  */
 void
-dasd_3990_erp_restart_queue (unsigned long erp)
+dasd_3990_erp_restart_queue (unsigned long device_ptr)
 {
 
-        ccw_req_t     *cqr    = (void *) erp;
-	dasd_device_t *device = cqr->device;
+	dasd_device_t *device = (dasd_device_t *) device_ptr;
 	unsigned long flags;
         
         /* get the needed locks to modify the request queue */
@@ -451,20 +498,13 @@
                                    flags);
 
         /* 'restart' the device queue */
-        if (cqr->status == CQR_STATUS_PENDING) {
-                
-                DASD_MESSAGE (KERN_INFO, device, "%s",
-                              "request queue restarted by MIH");
+        DEV_MESSAGE (KERN_INFO, device, "%s",
+                     "request queue restarted by MIH");
 
-                check_then_set (&cqr->status,
-                                CQR_STATUS_PENDING,
-                                CQR_STATUS_QUEUED);
-        }
+        device->stopped &= ~DASD_STOPPED_PENDING;
 
-        /* release the lock */
         s390irq_spin_unlock_irqrestore (device->devinfo.irq, 
                                         flags);
-
         dasd_schedule_bh (device);
 
 } /* end dasd_3990_erp_restart_queue */
@@ -498,9 +538,9 @@
         } else {
 
                 /* issue a message and wait for 'device ready' interrupt */
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "is offline or not installed - "
-                              "INTERVENTION REQUIRED!!");
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "is offline or not installed - "
+                             "INTERVENTION REQUIRED!!");
                 
                 dasd_3990_erp_block_queue (erp,
                                            60);
@@ -538,11 +578,11 @@
 
 	if ((erp->lpm & ioinfo[irq]->opm) != 0x00) {
 
-		DASD_MESSAGE (KERN_DEBUG, device,
-                              "try alternate lpm=%x (lpum=%x / opm=%x)",
-                              erp->lpm,
-                              erp->dstat->lpum,
-                              ioinfo[irq]->opm);
+		DEV_MESSAGE (KERN_DEBUG, device,
+                             "try alternate lpm=%x (lpum=%x / opm=%x)",
+                             erp->lpm,
+                             erp->dstat->lpum,
+                             ioinfo[irq]->opm);
 
 		/* reset status to queued to handle the request again... */
 		check_then_set (&erp->status,
@@ -553,11 +593,11 @@
                 
 	} else {
          
-                DASD_MESSAGE (KERN_ERR, device,
-                              "No alternate channel path left (lpum=%x / "
-                              "opm=%x) -> permanent error",
-                              erp->dstat->lpum,
-                              ioinfo[irq]->opm);
+                DEV_MESSAGE (KERN_ERR, device,
+                             "No alternate channel path left (lpum=%x / "
+                             "opm=%x) -> permanent error",
+                             erp->dstat->lpum,
+                             ioinfo[irq]->opm);
                 
                 /* post request with permanent error */
                 check_then_set (&erp->status,
@@ -598,8 +638,8 @@
         
 	if (!dctl_cqr) {
 
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "Unable to allocate DCTL-CQR");
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "Unable to allocate DCTL-CQR");
                 
                 check_then_set (&erp->status,
                                 CQR_STATUS_ERROR,
@@ -620,8 +660,9 @@
         if (dasd_set_normalized_cda(ccw, 
                                     __pa (DCTL_data), dctl_cqr, erp->device)) {
                 dasd_free_request (dctl_cqr, erp->device);
-                DASD_MESSAGE (KERN_ERR, device, "%s",
-                              "Unable to allocate DCTL-CQR");
+
+                DEV_MESSAGE (KERN_ERR, device, "%s",
+                             "Unable to allocate DCTL-CQR");
 
                 check_then_set (&erp->status,
                                 CQR_STATUS_ERROR,
@@ -635,7 +676,8 @@
         dctl_cqr->lpm      = LPM_ANYPATH;
         dctl_cqr->expires  = 5 * TOD_MIN;
         dctl_cqr->retries  = 2;
-	asm volatile ("STCK %0":"=m" (dctl_cqr->buildclk));
+
+	dctl_cqr->buildclk = get_clock ();
 
         dctl_cqr->status = CQR_STATUS_FILLED;
 
@@ -706,17 +748,20 @@
 
         } else {
 
-                if (sense[25] & 0x1D) {	/* state change pending */
-                        
-                        DASD_MESSAGE (KERN_INFO, device, "%s",
-                                      "waiting for state change pending "
-                                      "int");
+                if (sense[25] == 0x1D) {	/* state change pending */
                         
+                        DEV_MESSAGE (KERN_INFO, device,
+                                     "waiting for state change pending "
+                                     "interrupt, %d retries left",
+                                     erp->retries);
+
                         dasd_3990_erp_block_queue (erp,
                                                    30);
-                        
                 } else {
-
+			DEV_MESSAGE (KERN_INFO, device, 
+                                     "redriving request immediately, "
+                                     "%d retries left", 
+                                     erp->retries);
                         /* no state change pending - retry */
                         check_then_set (&erp->status,
                                         CQR_STATUS_ERROR,
@@ -793,98 +838,98 @@
 			case 0x00:	/* No Message */
 				break;
 			case 0x01:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Invalid Command");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Invalid Command");
 				break;
 			case 0x02:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Invalid Command "
-                                              "Sequence");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Invalid Command "
+                                             "Sequence");
 				break;
 			case 0x03:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - CCW Count less than "
-                                              "required");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - CCW Count less than "
+                                             "required");
 				break;
 			case 0x04:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Invalid Parameter");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Invalid Parameter");
 				break;
 			case 0x05:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Diagnostic of Sepecial"
-                                              " Command Violates File Mask");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Diagnostic of Sepecial"
+                                             " Command Violates File Mask");
 				break;
 			case 0x07:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Channel Returned with "
-                                              "Incorrect retry CCW");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Channel Returned with "
+                                             "Incorrect retry CCW");
 				break;
 			case 0x08:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Reset Notification");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Reset Notification");
 				break;
 			case 0x09:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Storage Path Restart");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Storage Path Restart");
 				break;
 			case 0x0A:
-                                DASD_MESSAGE (KERN_WARNING, device,
-                                              "FORMAT 0 - Channel requested "
-                                              "... %02x",
-                                              sense[8]);
+                                DEV_MESSAGE (KERN_WARNING, device,
+                                             "FORMAT 0 - Channel requested "
+                                             "... %02x",
+                                             sense[8]);
 				break;
 			case 0x0B:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Invalid Defective/"
-                                              "Alternate Track Pointer");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Invalid Defective/"
+                                             "Alternate Track Pointer");
 				break;
 			case 0x0C:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - DPS Installation "
-                                              "Check");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - DPS Installation "
+                                             "Check");
 				break;
 			case 0x0E:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Command Invalid on "
-                                              "Secondary Address");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Command Invalid on "
+                                             "Secondary Address");
 				break;
 			case 0x0F:
-                                DASD_MESSAGE (KERN_WARNING, device,
-                                              "FORMAT 0 - Status Not As "
-                                              "Required: reason %02x",
-                                              sense[8]);
+                                DEV_MESSAGE (KERN_WARNING, device,
+                                             "FORMAT 0 - Status Not As "
+                                             "Required: reason %02x",
+                                             sense[8]);
 				break;
 			default:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Reseved");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Reseved");
 			}
 		} else {
 			switch (msg_no) {
 			case 0x00:	/* No Message */
 				break;
 			case 0x01:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Device Error Source");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Device Error Source");
 				break;
 			case 0x02:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Reserved");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Reserved");
 				break;
 			case 0x03:
-                                DASD_MESSAGE (KERN_WARNING, device,
-                                              "FORMAT 0 - Device Fenced - "
-                                              "device = %02x",
-                                              sense[4]);
+                                DEV_MESSAGE (KERN_WARNING, device,
+                                             "FORMAT 0 - Device Fenced - "
+                                             "device = %02x",
+                                             sense[4]);
 				break;
 			case 0x04:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Data Pinned for "
-                                              "Device");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Data Pinned for "
+                                             "Device");
 				break;
 			default:
-                                DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                              "FORMAT 0 - Reserved");
+                                DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                             "FORMAT 0 - Reserved");
 			}
                 }
                 break;
